'use strict';

// ハンバーガーメニューの設定
const burger = document.getElementById('burger');
const menu = document.querySelector('.menu');
const menuText = document.getElementById('menuText');

burger.addEventListener('click', () => {
    burger.classList.toggle('active');
    menu.classList.toggle('active');
    if(menuText.textContent === 'Menu') {
        menuText.textContent = 'Close';
    } else {
        menuText.textContent ='Menu';
    }
})

menu.addEventListener('click', () => {
    burger.classList.toggle('active');
    menu.classList.toggle('active');
    if(menuText.textContent === 'Menu') {
        menuText.textContent = 'Close';
    } else {
        menuText.textContent ='Menu';
    }
})

// Q&Aの設定
const accordions = document.querySelectorAll('dt');

accordions.forEach(accordion => {
    accordion.addEventListener('click', () => {
    accordion.parentNode.classList.toggle('appear');
    })
});